let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/xvvgw9sb8wk6d2c0j3ybn7sll67s3s4z-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/xs38mci2dj4isxayifazwdma1dk9w9bl-coreutils-8.32/bin";
  bzip2 = "/nix/store/7wg5gs4hw7wli2qh1r32zrw72b055clr-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/yjs1bznvb7vk89cc57yjs6npds4hyfbp-gzip-1.10/bin/gzip";
  xz = "/nix/store/pi4krx6i033a0pb46hhlj3yggy0125m7-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/c7pdw22fs0n44hfrf8bm4mxax7snm4x5-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/xs38mci2dj4isxayifazwdma1dk9w9bl-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/9dliwin402wwlgn1bgpgxb0p6lwffnj2-nix-2.3.14/bin";
  nixPrefix = "/nix/store/9dliwin402wwlgn1bgpgxb0p6lwffnj2-nix-2.3.14";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/9dliwin402wwlgn1bgpgxb0p6lwffnj2-nix-2.3.14/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
